//---------------------------------------------------------------------------

#ifndef pmlogH
#define pmlogH

//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
#include <ComCtrls.hpp>
#include <Grids.hpp>

//---------------------------------------------------------------------------
class TFormPMLog : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Exit1;
        TMenuItem *N1;
        TMenuItem *PrintSetup1;
        TMenuItem *Print1;
        TMenuItem *N2;
        TMenuItem *SaveAs1;
        TMenuItem *Save1;
        TMenuItem *Open1;
        TMenuItem *New1;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
        TFindDialog *FindDialog1;
        TComboBox *ComboBoxMode;
        TStringGrid *StringGrid1;
        TButton *ButtonAdd;
        TEdit *EditFrequency;
        TLabel *LabelFrequency;
        TLabel *LabelMode;
        TEdit *EditShift;
        TLabel *LabelShift;
        TEdit *EditCall;
        TLabel *LabelCall;
        TEdit *EditDate;
        TLabel *LabelDate;
        TEdit *EditTime;
        TLabel *LabelTime;
        TPopupMenu *PopupMenu1;
        TMenuItem *Remove1;
        void __fastcall initGrid();
        void __fastcall vector2grid();
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Open1Click(TObject *Sender);
        void __fastcall ButtonAddClick(TObject *Sender);
        void __fastcall StringGrid1SelectCell(TObject *Sender, int ACol,
          int ARow, bool &CanSelect);
        void __fastcall StringGrid1DblClick(TObject *Sender);
        void __fastcall Save1Click(TObject *Sender);
        void __fastcall Remove1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormShow(TObject *Sender);
        
private:	// User declarations
public:		// User declarations
        TFileStream *log_file;
        int current_ARow;
        char rx_mode;

        
        __fastcall TFormPMLog(TComponent* Owner);
};
//---------------------------------------------------------------------------

struct logdata {
  char frequency[20];
  char lo_frequency[20];
  char mode[20];
  char shift[9];
  char call[20];
  char date[11];
  char time[9];
  int if_gain;
  int filter_bw;
 };

extern "C"
int __stdcall __declspec(dllexport) SetHWLO(long freq);
extern "C"
long __stdcall __declspec(dllexport) GetHWLO(void);
extern PACKAGE TFormPMLog *FormPMLog;
//---------------------------------------------------------------------------
#endif
